Subject: Re: Porting from mingw32 to cygwin
From: "Paul G." <[email-masked]>
To: [email-masked]
Date: Thu, 30 Aug 2001 17:32:47 -0800

On 30 Aug 2001 at 17:18, the Illustrious Thomas Gahr wrote:

> I just compiled a library called "allegro" with cygwin. But as it is
> written for mingw I had to use the option -mno-cygwin , else it didn't
> compilem because the compiler missed "direct.h", which comes with mingw.
> 
> After compiling it, I wanted to use it in a programm of mine that
> doesn't need the option -mno-cygwin . Well, it was pretty logical that I
> would have to use the -mno-cygwin -option again. But when I used it, he
> didn't find some libs that I installed in cygwin and said "random(....)
> undeclared..."

	Allegro is a DOS based graphics library (read MS-DOS).  It was ported to Mingw from 
DJGPP without using Cygwin (no link references to cygwin.dll), thus the reason behind why you 
had to use the -mno-cygwin switch in order to get it to build properly under Cygwin.

	Paul G.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/